DIFF(1)

NUME
GNU diff3 - compară trei fişiere linie cu linie

REZUMAT
diff3 [OPŢIUNE]... FIŞIERUL_MEU FIŞIER_VECHI FIŞIERUL_TĂU

DESCRIERE
Compară trei fişiere linie cu linie.

Argumentele obligatorii pentru opțiuni lungi sînt obligatorii și pentru opțiunile scurte.

-A, --show-all
    afişează toate modificările, conflictele de paranteze

-e, --ed
    output ed script incorporating changes from OLDFILE to YOURFILE into MYFILE

-E, --show-overlap
    like -e, but bracket conflicts

-3, --easy-only
    like -e, but incorporate only nonoverlapping changes

-x, --overlap-only
    like -e, but incorporate only overlapping changes

-X  like -x, but bracket conflicts

-i  daugă comenzile `w' şi `q' la scripturile ed(1)

-m, --merge
    output actual merged file, according to -A if no other options are given

-a, --text
    Tratează toate fișierele ca text.

--strip-trailing-cr
    Elimină returul de car(carriage return) final la intrare(input).

-T, --initial-tab
    Aliniază tab-urile adăugând în față un tab.

--diff-program=PROGRAM
    foloseşte PROGRAM pentru a compara fişierele

-L, --label=ETICHETĂ
    use LABEL instead of file name (can be repeated up to three times)

--help
    afișează acest ajutor și ieși

-v, --version
    afișează informații de versiune și ieși

The default output format is a somewhat human-readable representation of the changes.

The -e, -E, -x, -X (and corresponding long) options cause an ed script to be output instead of the default.

Finally, the -m (--merge) option causes diff3 to do the merge internally and output the actual merged file. For unusual input, this is more robust than using ed.

If a FILE is '-', read standard input. Exit status is 0 if successful, 1 if conflicts, 2 if trouble.

AUTOR
Scris de Randy Smith.

RAPORTĂ O EROARE
Raportați erorile(bugs)la: bug-diffutils@gnu.org
GNU diffutils pagină principală: <https://www.gnu.org/software/diffutils/>
Ajutor general utilizând software GNU: <https://www.gnu.org/gethelp/>.

COPYRIGHT
Copyright © 2018 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sînteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

VEDEȚI ȘI
cmp(1), diff(1), sdiff(1)

Documentația completă pentru diff este menținută ca un manual Texinfo. Dacă programele info și diff sunt instalate corespunzător la pagina personală, comanda

    info diff

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Eugen Hoanca <eugenh@urban-grafx.ro> și Laurențiu Buzdugan <lbuz@rolix.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.